// 
// File:   Record.h
// Author: root
//
// Created on 4 febbraio 2008, 17.34
//

#ifndef _RECORD_H
#define	_RECORD_H

#include <vector>
#include <iostream>

using namespace std;

class Record{
    char *nome;
    char *cognome;
    char *matricola;
    vector <int> v;
public:
    Record(const char *n, const char *c, const char *m);
    Record();
    Record operator=(Record r);
    Record(const Record &r);
    void stampa();
    ~Record();
    void setNome(const char *n);
    void setCognome(const char *c);   
    float media();
    friend istream &operator >> (istream &i, Record &r);
    friend ostream &operator << (ostream &o, Record &r);
    
};


istream &operator >> (istream &i, vector<Record> &r);
ostream &operator << (ostream &o, vector<Record> &r);


#endif	/* _RECORD_H */

